SimpleTextCodec (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.simpletext, class: SimpleTextCodec

Package org.apache.lucene.codecs.simpletext

# Class SimpleTextCodec

java.lang.Object
org.apache.lucene.codecs.Codec
org.apache.lucene.codecs.simpletext.SimpleTextCodec

All Implemented Interfaces:
  `NamedSPILoader.NamedSPI`

public final class SimpleTextCodec extends Codec
plain text index format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextCodec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompoundFormat`
  `compoundFormat()`
  `DocValuesFormat`
  `docValuesFormat()`
  `FieldInfosFormat`
  `fieldInfosFormat()`
  `KnnVectorsFormat`
  `knnVectorsFormat()`
  `LiveDocsFormat`
  `liveDocsFormat()`
  `NormsFormat`
  `normsFormat()`
  `PointsFormat`
  `pointsFormat()`
  `PostingsFormat`
  `postingsFormat()`
  `SegmentInfoFormat`
  `segmentInfoFormat()`
  `StoredFieldsFormat`
  `storedFieldsFormat()`
  `TermVectorsFormat`
  `termVectorsFormat()`

  ### Methods inherited from class org.apache.lucene.codecs.Codec

  `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTextCodec

    public SimpleTextCodec()

- ## Method Details

  - ### postingsFormat

    public PostingsFormat postingsFormat()
    Specified by:
      `postingsFormat` in class `Codec`

  - ### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()
    Specified by:
      `storedFieldsFormat` in class `Codec`

  - ### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()
    Specified by:
      `termVectorsFormat` in class `Codec`

  - ### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()
    Specified by:
      `fieldInfosFormat` in class `Codec`

  - ### segmentInfoFormat

    public SegmentInfoFormat segmentInfoFormat()
    Specified by:
      `segmentInfoFormat` in class `Codec`

  - ### normsFormat

    public NormsFormat normsFormat()
    Specified by:
      `normsFormat` in class `Codec`

  - ### liveDocsFormat

    public LiveDocsFormat liveDocsFormat()
    Specified by:
      `liveDocsFormat` in class `Codec`

  - ### docValuesFormat

    public DocValuesFormat docValuesFormat()
    Specified by:
      `docValuesFormat` in class `Codec`

  - ### compoundFormat

    public CompoundFormat compoundFormat()
    Specified by:
      `compoundFormat` in class `Codec`

  - ### pointsFormat

    public PointsFormat pointsFormat()
    Specified by:
      `pointsFormat` in class `Codec`

  - ### knnVectorsFormat

    public KnnVectorsFormat knnVectorsFormat()
    Specified by:
      `knnVectorsFormat` in class `Codec`